Google Chat Integrations
Fetch Googlechat Integration
Fetch a Google Chat integration
get
/v1/integration/googlechat/{googlechatIntegrationId}/fetch
Authorization
ChatBotKit API Secret * Required
HTTP Authorization Scheme: bearer
Path Parameters
googlechatIntegrationIdstring* Required
The ID of the Google Chat integration to retrieve
import { ChatBotKit } from '@chatbotkit/sdk'
const cbk = new ChatBotKit({
secret: process.env.CHATBOTKIT_API_KEY!
})
const response = await cbk.integration.googlechat.fetch(
googlechatIntegrationId)
{"name":"string","description":"string","meta":"object","id":"string","createdAt":"number","updatedAt":"number","botId":"string","blueprintId":"string","serviceAccountKey":"string","projectNumber":"string","contactCollection":"boolean","sessionDuration":"number","autoRespond":"string","allowFrom":"string"}The Google Chat integration was retrieved successfully